<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: internal.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_7a879d24cd3db3969353e5fb0ef35f10.html">scconf</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">internal.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="internal_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct__scconf__parser.html">_scconf_parser</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a8acd3ede2668d83e517746109c138b4d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="internal_8h.html#a8acd3ede2668d83e517746109c138b4d">TOKEN_TYPE_COMMENT</a>&#160;&#160;&#160;0</td></tr>
<tr class="separator:a8acd3ede2668d83e517746109c138b4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7122c983155f57f5b646c3218427974b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="internal_8h.html#a7122c983155f57f5b646c3218427974b">TOKEN_TYPE_NEWLINE</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:a7122c983155f57f5b646c3218427974b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6e21f6eb6cf1982ac1e3ee5462b917f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="internal_8h.html#af6e21f6eb6cf1982ac1e3ee5462b917f">TOKEN_TYPE_STRING</a>&#160;&#160;&#160;2</td></tr>
<tr class="separator:af6e21f6eb6cf1982ac1e3ee5462b917f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5179891e928f9636efa0d14e75e1a261"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="internal_8h.html#a5179891e928f9636efa0d14e75e1a261">TOKEN_TYPE_PUNCT</a>&#160;&#160;&#160;3</td></tr>
<tr class="separator:a5179891e928f9636efa0d14e75e1a261"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a6da648b0c3abfcc219bae6f100e0e9dc"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct__scconf__parser.html">_scconf_parser</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="internal_8h.html#a6da648b0c3abfcc219bae6f100e0e9dc">scconf_parser</a></td></tr>
<tr class="separator:a6da648b0c3abfcc219bae6f100e0e9dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a20cbbb1558b7af36dbb2cf560afff134"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="internal_8h.html#a20cbbb1558b7af36dbb2cf560afff134">scconf_lex_parse</a> (<a class="el" href="internal_8h.html#a6da648b0c3abfcc219bae6f100e0e9dc">scconf_parser</a> *parser, const char *filename)</td></tr>
<tr class="separator:a20cbbb1558b7af36dbb2cf560afff134"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0651057f2c200095e0740d4f60e1603e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="internal_8h.html#a0651057f2c200095e0740d4f60e1603e">scconf_lex_parse_string</a> (<a class="el" href="internal_8h.html#a6da648b0c3abfcc219bae6f100e0e9dc">scconf_parser</a> *parser, const char *config_string)</td></tr>
<tr class="separator:a0651057f2c200095e0740d4f60e1603e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86157afce36ee98908a9da56ec6cbd23"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="internal_8h.html#a86157afce36ee98908a9da56ec6cbd23">scconf_parse_token</a> (<a class="el" href="internal_8h.html#a6da648b0c3abfcc219bae6f100e0e9dc">scconf_parser</a> *parser, int token_type, const char *token)</td></tr>
<tr class="separator:a86157afce36ee98908a9da56ec6cbd23"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a8acd3ede2668d83e517746109c138b4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8acd3ede2668d83e517746109c138b4d">&#9670;&nbsp;</a></span>TOKEN_TYPE_COMMENT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TOKEN_TYPE_COMMENT&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="internal_8h_source.html#l00029">29</a> of file <a class="el" href="internal_8h_source.html">internal.h</a>.</p>

</div>
</div>
<a id="a7122c983155f57f5b646c3218427974b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7122c983155f57f5b646c3218427974b">&#9670;&nbsp;</a></span>TOKEN_TYPE_NEWLINE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TOKEN_TYPE_NEWLINE&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="internal_8h_source.html#l00030">30</a> of file <a class="el" href="internal_8h_source.html">internal.h</a>.</p>

</div>
</div>
<a id="a5179891e928f9636efa0d14e75e1a261"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5179891e928f9636efa0d14e75e1a261">&#9670;&nbsp;</a></span>TOKEN_TYPE_PUNCT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TOKEN_TYPE_PUNCT&#160;&#160;&#160;3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="internal_8h_source.html#l00032">32</a> of file <a class="el" href="internal_8h_source.html">internal.h</a>.</p>

</div>
</div>
<a id="af6e21f6eb6cf1982ac1e3ee5462b917f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6e21f6eb6cf1982ac1e3ee5462b917f">&#9670;&nbsp;</a></span>TOKEN_TYPE_STRING</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TOKEN_TYPE_STRING&#160;&#160;&#160;2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="internal_8h_source.html#l00031">31</a> of file <a class="el" href="internal_8h_source.html">internal.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="a6da648b0c3abfcc219bae6f100e0e9dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6da648b0c3abfcc219bae6f100e0e9dc">&#9670;&nbsp;</a></span>scconf_parser</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct__scconf__parser.html">_scconf_parser</a>  <a class="el" href="internal_8h.html#a6da648b0c3abfcc219bae6f100e0e9dc">scconf_parser</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a20cbbb1558b7af36dbb2cf560afff134"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20cbbb1558b7af36dbb2cf560afff134">&#9670;&nbsp;</a></span>scconf_lex_parse()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int scconf_lex_parse </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="internal_8h.html#a6da648b0c3abfcc219bae6f100e0e9dc">scconf_parser</a> *&#160;</td>
          <td class="paramname"><em>parser</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0651057f2c200095e0740d4f60e1603e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0651057f2c200095e0740d4f60e1603e">&#9670;&nbsp;</a></span>scconf_lex_parse_string()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int scconf_lex_parse_string </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="internal_8h.html#a6da648b0c3abfcc219bae6f100e0e9dc">scconf_parser</a> *&#160;</td>
          <td class="paramname"><em>parser</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>config_string</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a86157afce36ee98908a9da56ec6cbd23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86157afce36ee98908a9da56ec6cbd23">&#9670;&nbsp;</a></span>scconf_parse_token()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void scconf_parse_token </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="internal_8h.html#a6da648b0c3abfcc219bae6f100e0e9dc">scconf_parser</a> *&#160;</td>
          <td class="paramname"><em>parser</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>token_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>token</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:34 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
